/*
 * Copyright (c) 2015 Samsung Electronics Co., Ltd All Rights Reserved
 *
 * Licensed under the Apache License, Version 2.0 (the License);
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an AS IS BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

#ifndef __AIR_MEDIAHUB_LAYOUT_MOVIE_H__
#define __AIR_MEDIAHUB_LAYOUT_MOVIE_H__

/* layout */
#define LAYOUT_MOVIE "LAYOUT_MOVIE"

/* group */
#define GRP_MOVIE_LAYOUT "group.movie_layout"
#define GRP_MOVIE_RECENT_CONTENT "group.movie_recent_content"

/* part */
#define PART_CONTENT "part.content"
#define PART_NOCONTENT "part.nocontent"
#define PART_RECENT_CONTENT_TEXTBG "part.recent_content_textbg"
#define PART_RECENT_CONTENT_IMGBG "part.recent_content_imgbg"
#define PART_RECENT_CONTENT_THUMBNAIL "part.recent_content_thumbnail"
#define PART_RECENT_CONTENT_FAVORITE "part.recent_content_favorite"
#define PART_RECENT_CONTENT_TITLE "part.recent_content_title"
#define PART_RECENT_CONTENT_DATE "part.recent_content_date"
#define PART_RECENT_CONTENT_PROGRESS "part.recent_content_progress"
#define PART_RECENT_CONTENT_TOTAL "part.recent_content_total"
#define PART_RECENT_CONTENT_SLIDER "part.recent_content_slider"

/* signal */
#define SIG_RECENT_SHOW_FAV "show,favorite"
#define SIG_RECENT_HIDE_FAV "hide,favorite"

/* style */
#define STYLE_GRID_MOVIE_ITEM "movie_item"
#define STYLE_BTN_RECENT_CONTENT "base_btn_recent"

#endif /* __AIR_MEDIAHUB_LAYOUT_MOVIE_H__ */
